Subject: Re: bug#17839: 24.4.50; read-passwd echoes password input in non-interactive sessions

From: Stefan Monnier <[email-masked]>
Date: Thu, 07 Aug 2014 09:01:49 -0400

> I know, but I'd argue that since it's kind of a security issue, albeit
> small,  it deserves a timely fix.  YMMV, though, and I'm ok with
> either decision you  make.

I'm OK with installing a fix for it in emacs-24, but the fix we have in
trunk is not "obviously safe" enough to be appropriate for emacs-24.
And I think the warning we added to emacs-24 is a sufficient (tho not
ideal) stop-gap for emacs-24.

IOW feel free to send a safer patch (with corresponding copyright
paperwork, of course),

        Stefan